--- app_meetme.c.orig	2004-05-13 14:47:10.000000000 -0400
+++ app_meetme.c	2004-05-13 15:14:36.000000000 -0400
@@ -33,6 +33,9 @@
 
 #include <pthread.h>
 #include <linux/zaptel.h>
+#include "../asterisk.h"
+#include "../astconf.h"
+
 
 static char *tdesc = "Simple MeetMe conference bridge";
 
@@ -89,9 +92,6 @@
 
 static ast_mutex_t conflock = AST_MUTEX_INITIALIZER;
 
-#include "enter.h"
-#include "leave.h"
-
 #define ENTER	0
 #define LEAVE	1
 
@@ -128,24 +128,37 @@
 
 static void conf_play(struct ast_conference *conf, int sound)
 {
+	FILE *file;
 	unsigned char *data;
-	int len;
+	unsigned long len;
+	char filename[256];
+
 	ast_mutex_lock(&conflock);
 	switch(sound) {
 	case ENTER:
-		data = enter;
-		len = sizeof(enter);
+		snprintf(filename,sizeof(filename)-1,"%s/%s/enter.raw",(char *)ast_config_AST_VAR_DIR,"sounds");
 		break;
 	case LEAVE:
-		data = leave;
-		len = sizeof(leave);
+		snprintf(filename,sizeof(filename)-1,"%s/%s/leave.raw",(char *)ast_config_AST_VAR_DIR,"sounds");
 		break;
 	default:
 		data = NULL;
 		len = 0;
 	}
-	if (data) 
-		careful_write(conf->fd, data, len);
+	file = fopen(filename, "rb");
+	if (file) {
+		fseek(file, 0, SEEK_END);
+		len=ftell(file);
+		fseek(file, 0, SEEK_SET);
+		data=(char *)malloc(len+1);
+		fread(data, len, 1, file);
+		fclose(file);
+
+		if (data)
+			careful_write(conf->fd, data, len);
+		free(data);
+	}
+
 	ast_mutex_unlock(&conflock);
 }
 
